@import 'utilities.css';

:root{
    --primary:black;  
    --secondary: rgba(255, 255, 255, 0.877);
    --tarsary: rgb(63, 65, 63);
    --red: red;
}

*{
    padding : 0;
    margin: 0;
    box-sizing: border-box;
    --webkit-font-smothing: antialiased;
}
html{
    scroll-behavior: smooth;
}
body{
    font-family: 'Poppins',sans-serif;
}

nav {
    background-color: rgb(153, 163, 160);
}

header{
    background-color: rgb(153, 163, 160);
    clip-path: polygon(0 0 ,100% 0 ,100% 100%, 70% 93%, 0  100%);
    height: 100vh;
}

header nav .left .nav-list a{
    text-decoration: none;
    font-weight: bolder ;
    color :rgba(255, 255, 255, 0.877);
    margin-right: 1rem;
    text-transform: uppercase;
    transition: all 0.3s ease;
} 
header nav .left .nav-list a:hover{
    color: var(--red);
}

header nav {
    padding: 0.5 rem 0;
}

header nav .logo{
   
    margin-right: 1rem ;
}
.hero .left {
    margin-right: 1rem;
}
.hero .left img{
    width: 400px;
}
.hero .right h3{
    color: rgb(59, 27, 204);
    margin-bottom: 1rem;
}
/* .hero .right h1{
    font-size: 4rem;
} */
.hero .right p{
    margin-bottom: 3rem;
}
.hero .right span{
    color : greenyellow;    
}
.about {
    padding: 5rem 0;
}
.about .container .left{
    margin-right: 4rem;
}
.about .container .left img{
    height: 450px;
}
.about .container .right h1{
    margin-bottom: 1rem;
}
.about .container .right h3{
    margin-bottom: 0.5rem;
}
.about .container .right h1 span{
     color: goldenrod;
}
.about .container .right p{
    font-style: italic;
}

.about .container .right .social a{
    background-color: rgb(253, 249, 249);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
    margin-right: 5px;
    border-radius: 50%;
    object-fit: cover;
}

.about .container .right .social a :hover{
    background-color: aqua;
    transition: all 0.3s ease;
}

.about .container .right .social a img{
    height: 100%;
    width: 100% ;
    padding: 0.5rem;
}

.services{
    
    background-color: rgb(153, 163, 160);
}
.services .container h1{
    padding-top: 2rem;
}
.services-heading{
    /* background-color: aqua; */
    color: rebeccapurple;
    text-align: center;
    margin-top: 5rem;
}

.services-heading span{
    color : rgb(214, 21, 102);
}

.services-heading + p{
    color: rgb(97, 97, 99);
    text-align: center;
    margin-bottom: 1rem;
    line-height: 0.7rem;
    margin-bottom: 7rem;
   
}

.card-wrapper{
    height: 80%;
    width: 50%;
    margin-left: 26%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-column-gap: 2rem;
    grid-row-gap: 3rem;
}

.card-wrapper .card{
    position: relative;
    text-align: center;
    margin-bottom: 3rem;
    background-color: white;
    padding-top: 2rem;
    
}
.card-wrapper .card:hover{
    background-color:black;
    color: aliceblue;
    transition: all 0.3s ease;

}
/* .card-wrapper .card h3:hover{
    color:aliceblue;
}
.card-wrapper .card p:hover{
    color:whitesmoke;
} */
.card-wrapper .card img{
    position: absolute;
    top: -60%;
    left: 27%;
    border-radius: 50%;
    height: 110px;
}
.card-wrapper .card p{
    color: grey;
    font-size: 0.8rem;
}
 section.freelancer{
     text-align: center;
     background: linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)), url(images/camera.png );
     color: white;
     clip-path: polygon(0 0 ,100% 0 ,100% 100%, 70% 87%, 0  100%);
     padding-bottom: 7rem;
 }
 section.freelancer h1{
     color: gold    ;
 }
 section.freelancer button{
     margin-top: 2rem;
 }
 .review{
     margin-top: 3rem;
     text-align: center;
 }
 .review h1 span{
     color:blue
 }
 section.review .container .slider .slide{
     display: flex;
     flex-direction: column;
     align-items: center;
     justify-content: center;
     padding: 0 6rem;

 }
 section.review .container .slider .slide img{
     height: 100px;
     width: 100px;
     border-radius: 50%;
     object-fit: cover;
     margin-bottom: 3rem;
 }
 section.review .container .slider .slide p{
     font-family: sans-serif;
     color: gray;
     margin-bottom: 1rem;
 }
 section.review .container .slider .slide h4 {
     color: rgb(42, 165, 134);
 }
 section.review .slider-dots{
     margin-top: 2 rem;
 }
 section.review .slider-dots .dots{
     list-style-type: none;
     display: flex;
     justify-content: center;
 }
 section.review .slider-dots button{
     font-size: 0;
     width: 8px;
     height: 5px;
     margin-right:0.3rem;
     border: none;
     outline: none;
     background: gray;
     border-radius: 15px;
     cursor: pointer;
 }
 section.review .dots li.slick-active button{
     background-color: red;
     width: 20px;

 }

 .work{
    height: 90vh;
    width: 100vw;
     background: rgb(199, 192, 192);
     margin-top: 3rem;
     text-align: center;
     
     
 }

  
.work .container_work .card_wrapper{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    height: 40vh;
    width: 70vw;
    margin-left: 13vw;
    grid-gap: 1rem;
    
}
.work .container_work .card_wrapper .cards{
    position: relative;
}
.work .container_work .card_wrapper .cards .overlay{
    position: absolute;
    top: 0%;
    left: 0%;
    height: 100%;
    width: 100%;
    color: rgb(140, 206, 9);
    background-color: rgba(60, 65, 65, 0.8);
    font-weight: 800;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    opacity: 0;
    transition: all 0.3s ease;
    /* cursor: pointer; */
}
.work .container_work .card_wrapper .cards .overlay:hover{
    opacity: 100%;
    
}
.work .container_work .card_wrapper .cards .overlay a{
    color: rgb(255, 255, 255);
    text-decoration: none;
    font-size: medium;
    
}
.work .container_work .card_wrapper .cards .overla img{
    height: 100%;
    width: 100%;
}

section.blog {
    width: 100vw;
    background: rgb(29, 28, 28);
    height: 100vh;
    clip-path: polygon(0 0 ,100% 0 ,100% 100%, 70% 87%, 0  100%);

}
section.blog .container{
    height: 80vh;
    width: 80vw;

}


section.blog .card-wrapping{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 2rem;
}
.card-wrapping .card{
    background-color: aliceblue;
    padding: 5px;
    margin-top: 2rem;
    
}
.card-wrapping .card img{
    height: 250px;
    width: 300px;
    /* height: 100%;
    width: 100%; */
    object-fit: cover;
    border-radius: 5%;
}
.card-wrapping .card .card-contain{
    padding: 1rem;
}
.card-wrapping .card .card-contain a{
    color: rgb(144, 39, 171);
    text-decoration: none;
}
.card-wrapping .card .card-contain a:hover{
    color: rgb(255, 141, 47);
}

section.contact .container .boxwrapper{
    display: grid;
    grid-template-columns: repeat(3,1fr);
}
#cv a{
    text-decoration: none;
    color: red;
}
section.contact .container .boxwrapper .box{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
section.contact .container .boxwrapper .box img{
    margin-bottom: 1rem;
}


section.contact .inputwrapper{
    display: grid;
    grid-gap: 2rem;
    grid-template-columns: repeat(2,1fr);
    margin-bottom: 1rem;
    margin-top: 1rem;
}
section.contact .inputwrapper2{
    display: flex;
    flex-direction: column;
}
section.contact .inputwrapper2 input{
    margin-bottom: 1rem;
}
section.contact .inputwrapper2 textarea{
    padding:0.5rem;
    border: 2px solid gray;
    margin-bottom: 1rem;
    
}
/* section.contact .inputwrapper2 textarea:focus{
    outline:2px solid rgb(121, 121, 126);
} */
section.contact input{
    padding: 0.5rem;
}
.submit{
    padding: 2rem;
}
footer{
    background: rgb(133, 123, 123);
    text-align: center;
    color: aliceblue;
    padding: 3rem;
    margin-top: 2rem;
}
footer a{
    margin-left: 1rem;
    /* background-color: aliceblue; */
    
    object-fit: cover;
}
footer a img {
    object-fit: cover;
    color: white;
}

#contact{
    text-align: center;
}
#p_contact{
    margin-bottom: 2rem;
}
.site-main-wrapper {
    position: relative;
    width: 100%;
}
.hamberger{
    /* position: -webkit-sticky; Safari */
    position: absolute;
    top: 40px;
    left: 20px;
    right: 40px;
    z-index: 11;
    background: none;
    border: none;
    outline: none;
    cursor: pointer;
}

.hamberger img{
    
    width: 30px;
}
.mobile-nav {
    position:fixed;
    top: 0;
    left: 0;
    z-index: 111;
    background: lightblue;
    width: 100%;
    height: 80%;
    padding: 2rem;
    padding-top: 5rem;
    transform: translateX(-100%);
    transition: all 0.5s ease-in-out;
    background: linear-gradient(rgba(133, 127, 127, 0.7),rgba(235, 215, 215, 0.7)), url(images/camera.png );
}
.open{
    transform: translateX(0%);
}
.times {
    position: fixed;
    top: 30px;
    right: 30px;
    cursor: pointer;
    background: none;
    outline: none;
    border: none;
}
.times img{
    width: 30px;
}

.mobile-nav ul{
    list-style-type: none;
    text-decoration: none;
}

.mobile-nav ul li a{
    color: rgb(190, 223, 163);
    text-decoration: none;
    
    font-size: 2rem;
}
.mobile-nav ul li a:hover{
    color: rgb(255, 255, 255);
    
}
@media (max-width:1464px){
    header #main-nav{
        display: none;
    }
    .hamberger{
        position: sticky;
        top: 40px;
        border: 3px solid black;
        background-color: gold;
    }
}

section.contact .container .boxwrapper .box img{
    height: 80px;
}

@media (max-width:855px){
   
    .flex{
        flex-direction: column
    }

    .hero .left img {
        width: 200px;
    }
    #card-wrapper{
       display: flex;
       flex-direction: column;
    }

    .work .container_work .card_wrapper {
        display: flex;
        flex-direction: column;
        height: fit-content;
        overflow: auto;
        
    }
    section.blog .card-wrapping {
        display: flex;
        flex-direction: column;
    }
    .work{
        height: fit-content;
    } 
    section.blog {
        width: 100vw;
        background: rgb(29, 28, 28);
        height: 100vh;
        clip-path: polygon(0 0 ,100% 0 ,100% 100%, 70% 87%, 0 100%);
        height: inherit;
        clip-path: none
    }
    #contact_container{
        margin-top: 1rem;
        text-align: center;
    }
    section.contact .container .boxwrapper {
        display: flex;
        /* grid-template-columns: repeat(3,1fr); */
        flex-direction: column;
    }
    section.contact .inputwrapper {
        display: flex;
        flex-direction: column;
        /* grid-gap: 2rem; */
        /* grid-template-columns: repeat(2,1fr); */
        margin-bottom: 1rem;
        margin-top: 1rem;
    }
    section.contact .inputwrapper  #contact_name {
        padding: 0.5rem;
        /* margin-bottom: 0.5rem; */
    }
    header{
        clip-path: none;
        height: fit-content;
        margin-bottom: 2rem;
        background-color: rgb(55, 114, 114);
    }
};

#social1{
    display: flex;
    flex-direction: row;
}

@media (max-width:938px) {
  

    .card-wrapper .card img {
        position: absolute;
        top: -46%;
        left: 10%;
        border-radius: 50%;
        height: 110px;
    }
        
    }

    @media (max-width:850px){
        .about .container .left {
            margin: 2rem;
        }
    
        .card_wrapper{
            display: flex;
            flex-direction: column;
        }
        
        .card-wrapper .card img {
            position: absolute;
            top: -82%;
            left: 33%;
            border-radius: 50%;
            height: 110px;
        }
    }
@media (max-width:600px){
    .about .container .left {
        margin: 2rem;
    }

    .card_wrapper{
        display: flex;
        flex-direction: column;
    }
    
    .card-wrapper .card img {
        position: absolute;
        top: -82%;
        left: 33%;
        border-radius: 50%;
        height: 110px;
    }
}



